Wind River Support Network

HomeDefectsLIN5-4918
Fixed

LIN5-4918 : /usr/lib64/ssl/openssl.cnf not installed on target

Created: May 17, 2013    Updated: Dec 19, 2017
Resolved Date: Jun 3, 2013
Found In Version: 5.0.1
Fix Version: 5.0.1.4,5.0.1.4
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

When starting openssl a warning is seen indicating that this file is missing:

Wind River Linux 5.0.1.3 qemu0 console

qemu0 login: root
Password: 
Default Security Context root:auditadm_r:insmod_t:s0-s15:c0.c1023

Would you like to enter a different role or level? [n] 
root@qemu0:~# openssl
WARNING: can't open config file: /usr/lib64/ssl/openssl.cnf
OpenSSL> 

The file is in the openssl-misc-1.0.0i-r1.5.1.1.x86_64.rpm but not being installed to the target.

Workaround

Manually install openssl-misc-1.0.0i-r1.5.1.1.x86_64.rpm on the target.

or

Add the following to a template:

IMAGE_INSTALL_append += " openssl-misc"

Steps to Reproduce

$ configure --enable-board=qemux86-64 --enable-rootfs=glibc_cgl --enable-kernel=cgl
$ make fs
$ make start-target

Log in as root and run the openssl command.

Other Downloads


Live chat
Online